import { get, post } from "@/api/index";

export default {
  //用户列表数据
  userList: params => {
    return get("/user/list", params);
  },
  userInfo: params => {
    return get("/user/detail", params);
  },
  // 新增用户进行校验
  userAddCheck:params=>{
    return post("/user/check", params);
  },
  // 新增用户
  userAdd:params=>{
    return post("/user/add", params);
  },
  // 编辑用户
  userEdit:params=>{
    return post("/user/edit", params);
  },
  userPermissionData:params=>{
    return get('/chart_permission/list',params)
  },
  // 用户操作记录
  userOperationRecord:params=>{
    return get('/user/change_list',params)
  },
  // 启用\禁用用户
  setUserStatus:params=>{
    return post('/user/editEnabled',params)
  },
  //删除用户
  userDelete:params=>{
    return post('/user/delete',params)
  },
  // 报告分类
  reportClassify:()=>{
    return get('/classify/list',{})
  },
  // 潜在用户列表
  potentialUserList:params=>{
    return get('/user/potential/list',params)
  },
  //潜在用户转客户
  potentialUserEdit:params=>{
    return post('/user/potential/edit',params)
  }
  
};
